import unittest
from pytlex_core import TCSP_solver
from pytlex_core.Event import Event
from pytlex_core.Graph import Graph
from pytlex_core.Instance import Instance
from pytlex_core.Link import Link
from pytlex_core.TimeX import TimeX
from pytlex_tests import Testing_utilities


class Graph_test(unittest.TestCase):
    def test_single(self):
        print("\n")
        for link in Testing_utilities.consistent_graph_2().links:
            print(link)


if __name__ == '__main__':
    unittest.main()